Twilio bundle status webhook
Carrier callback for Twilio bundle status changes. No signature header required. Re-fetches current bundle status from Twilio before updating records. Always returns 200.
curl -X POST "https://api.talkturo.com/api/phone-numbers/twilio-webhook" \
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode BundleSID=example_string \
--data-urlencode BundleSid=example_string \
--data-urlencode bundle_sid=example_string
import requests
import json
url = "https://api.talkturo.com/api/phone-numbers/twilio-webhook"
headers = {
"Content-Type": "application/x-www-form-urlencoded"
}
data = {
"BundleSID": "example_string",
"BundleSid": "example_string",
"bundle_sid": "example_string"
}
response = requests.post(url, headers=headers, data=data)
print(response.json())
const params = new URLSearchParams();
params.append("BundleSID", "example_string");
params.append("BundleSid", "example_string");
params.append("bundle_sid", "example_string");
const response = await fetch("https://api.talkturo.com/api/phone-numbers/twilio-webhook", {
method: "POST",
headers: {
"Content-Type": "application/x-www-form-urlencoded"
},
body: params
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"net/url"
"strings"
)
func main() {
data := url.Values{}
data.Set("BundleSID", "example_string")
data.Set("BundleSid", "example_string")
data.Set("bundle_sid", "example_string")
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/phone-numbers/twilio-webhook", strings.NewReader(data.Encode()))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/x-www-form-urlencoded")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/phone-numbers/twilio-webhook')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/x-www-form-urlencoded'
request.set_form([
["BundleSID", "example_string"],
["BundleSid", "example_string"],
["bundle_sid", "example_string"]
], 'application/x-www-form-urlencoded')
response = http.request(request)
puts response.body
{
"received": true,
"status": "example_string",
"matchedRequest": true
}
POST
/phone-numbers/twilio-webhook
POST
Base URLstring
Target server for requests. Edit to use your own host.
Content-Typestring
RequiredThe media type of the request body
Options: application/x-www-form-urlencoded
Request Preview
Response
Response will appear here after sending the request
Responses
receivedboolean
statusstring
matchedRequestboolean
Was this page helpful?